Database error on install

  • I was doing a brand new install using the latest beta from here, the install is on a different server to the one i use, it is on behalf of someone else who dosnt have a server. Anyway the database is MYSQL i have all details and have checked they are correct. I get the following error.


    db.PNG

    I dont understand the error as the server dosnt have MariaDB on it only MYSQL. OR is this another one of my noob mistakes?

  • Yes i understand that, but does that apply to MYSQL as well? If so is it normal for a hosting provider to install a newer version?

  • Also the test script ran ok and came back all green. Ok i might be thick here, but isnt Maria database something totally different to mysql?

  • The test script only checks your php requirements as for MySQL you need the connection data.

    MariaDB a compatibel replacement for MySQL and is used by many hosters.

  • Also the test script ran ok and came back all green.

    The test script can only check if PHP matches the requirements, that is if it is able to speak to a database. Querying the database version requires access credentials.

    Ok i might be thick here, but isnt Maria database something totally different to mysql?

    MariaDB is a fork of MySQL and fully compatible. Besides that you are actually running MariaDB 5.5.53, but version 10.0.22 or higher is required, the error message is a above and differs between MySQL and MariaDB (that is, the database server itself advertises it being MariaDB!).

    Alexander Ebert
    Senior Developer WoltLab® GmbH

  • Thanks for the explanation, Cpanel etc says MYSQL, but php myadmin does infact say Maria!! So looks like thats one server host that it wont run on, i asked them top upgrade and they refuse, so anyone on arvixe your out of luck.


    Fortunately my other host seems ok, sorry for wasting your time guys. But at least i learnt something new.

  • I think in fact, Maria DB isn't maria DB, it just names itself like this. Otherwise, it would fit perfectly.

    return null;


    Browser: Firefox Nightly (64bit)

    Betriebssystem: Windows 10

  • This is what threw me.db2.PNG


    But if you dig you get

    db3.PNG


    I am a little surprised the host company wont upgrade though, at least its working on the other server, i was just trying to do someone a favour and install a copy for them to try.

  • MariaDB v5 ? And they din't want to update it ? It's a joke !

    i personnally use MariaDB, it's more powerfull, fast and 100% compatible..


    If you are on a shared server, that explain why they can't update it just for you, but they should update anyway, for better performances, security... The 10 version is available since a lot of months, and any host using cpanel can upgrade to this version with only one clic, so pretty easy...

  • That server is shared host, its just a cheap server package i got to test some stuff out on. I might have another try at getting them to upgrade.

  • Apparently anyone using the shared hosting provider i mentioned, will be told the following.If you want V10 then you need VPS!


    I have woltlab working on a shared host NAMECHEAP, not a plug for them but if anyone is looking for a shared host that will run it, i know NAMECHEAP is capable. They are not the greatest but not too bad.

  • If you want V10 then you need VPS!

    Lol.

    Meine Beiträge stellen - sofern nicht ausdrücklich anders gekennzeichnet - ausschließlich meine subjektive und aus Erfahrung und / oder Reflexion gewonnene Meinung dar und sind nicht als Fakten zu verstehen. Meinungen sind persönliche Ansichten und benötigen keine Belege. In Deutschland gilt nach Artikel 5 des Grundgesetzes Meinungsfreiheit. Meine Beiträge stellen keine Rechtsberatung dar, hierzu bin ich nicht befugt.

  • Apparently anyone using the shared hosting provider i mentioned, will be told the following.If you want V10 then you need VPS!


    I have woltlab working on a shared host NAMECHEAP, not a plug for them but if anyone is looking for a shared host that will run it, i know NAMECHEAP is capable. They are not the greatest but not too bad.

    I use NameCheap also they have latest version of MariaDB used. Joke your other host telling you to get a VPS to use MariaDB version 10. Version 5 is well outdated and they have updated it themselves by now without needing to be asked.

  • so anyone on arvixe your out of luck.

    Uhhh.. not unexpected of an EIG ran company. They are more interested in squeezing as much money out of them as possible and not keeping up with the latest in tech.